void setup()
{

//Включаем GPRS Shield
  
gprs_On();

//Открываем Serial port для индикации...

Serial.begin(9600);

//...и Serila1 для общения с шилдом

Serial1.begin(9600);

while(!Serial)
{
}

    Serial.println("I'm ready");

    //Устанавливаем текстовый режим сообщений
    
    Serial1.print("AT+CMGF = 1\r");

    delay(3000);

    //Указываем номер, на который будем отправлять SMS
    //Не забудьте указать свой номер

    Serial1.println("AT + CMGS = \"+XXXXXXXXXXX\"");
    delay(300);
    
    // Пишем текст сообщения
    
    Serial1.println("AT Test");
    delay(300);
    
    // Отправляем Ctrl+Z, обозначая, что сообщение готово
    
    Serial1.println((char)26);
    Serial.println("SMS send!");

}

void loop() 
{
}

//Функция включения GPRS Shield

void gprs_On()
{
  // настраиваем пин №2 в режим выхода
  pinMode(2, OUTPUT);
  // проверяем состояние 3 пина
  if (digitalRead(3) != HIGH) {
    // если на нём «низкий уровень»
    // подаём на пин 2 «высокий уровень»
    digitalWrite(2, HIGH);
    // ждём 3 секунды
    delay(3000);
  }
  // подаём на пин 2 «низкий уровень»
  digitalWrite(2, LOW);
}
