//Подключаем библиотеку

#include <VirtualWire.h>

//Создаем массив для передачи температуры

char temp[3];

void setup()
{
    Serial.begin(9600);

    //требуется для DR3100
    vw_set_ptt_inverted(true); 
    //Обозначаем пин, к которому подключили приемник
    vw_set_rx_pin(12);
    //Установим скорость передачи
    vw_setup(4000);  
    //Светодиод для индикации
    pinMode(13, OUTPUT);
    //Стартуем
    vw_rx_start();    
    Serial.println("Setup");
}
    void loop()
{
  uint8_t buf[VW_MAX_MESSAGE_LEN]; // Буфер для сообщения
  uint8_t buflen = VW_MAX_MESSAGE_LEN; // Длина буфера

  if (vw_get_message(buf, &buflen)) // Если принято сообщение
  {
  Serial.println("Received:"); 
  digitalWrite(13, HIGH);
  //По символу записываем принятое сообщение 
  for(int i = 0; i < buflen; i++)
  {
     temp[i] = buf[i];
  }
  //Выводим сообщение
  Serial.print("Temperature is ");
  Serial.print(temp);
  Serial.println(" C");
  digitalWrite(13, LOW);
 }
}
