//Подключаем библиотеки

#include <TroykaDHT11.h>
#include <VirtualWire.h>

//Определяем пин DHT11

DHT11 dht(11);

void setup() 
{

  Serial.begin(9600); 
  dht.begin();
  //Светодиод для индикации
  pinMode(13,OUTPUT);
  //требуется для DR3100
  vw_set_ptt_inverted(true); 
  //Обозначаем пин, к которому подключили приемник
  vw_set_rx_pin(12);
  //Установим скорость передачи
  vw_setup(4000);  
}

void loop()
{ 
  //Получаем температуру с DHT11
  String temp;
  dht.read();
  temp = dht.getTemperatureC();
  Serial.println(temp);
  //Приводим температуру к нужному для отправки виду
  char msg[10];
  temp.toCharArray(msg, 10);
  Serial.println(msg);
  //Отправляем сообщение
  digitalWrite(13, HIGH);
  vw_send((uint8_t *)msg, strlen(msg));
  vw_wait_tx();
  digitalWrite(13, LOW);
  //Ждем немного
  delay(5000);
 
}
